Aurigma Image Uploader Express Compatibility

Compatibility

Operating System for Deployment
  • Windows 7
  • Windows Server 2008
  • Windows Vista
  • Windows XP
  • Windows ME
  • Windows 2000
  • Windows 98
  • Windows NT 4.0
  • Windows NT 3.51
  • RedHat Linux 9.x
  • SUSE Linux 8.x
  • Mac OS X
Architecture of Product
  • 32Bit
  • 64Bit
  • MAC
Product Type
  • Component
Component Type
  • ActiveX OCX
  • Java Applet
.NET Ready/Tested with .NET RCW
  • Yes
General
  • Internet Enhanced
  • Includes Digital Signature
  • Marked as Safe for Scripting
Compatible Containers
  • Microsoft Visual Studio 2008
  • Microsoft Visual Studio 2005
  • Microsoft Visual Studio .NET 2003
  • Microsoft Visual Studio .NET
  • Microsoft Visual Studio 6.0
  • Microsoft Visual Basic 2008
  • Microsoft Visual Basic 2005
  • Microsoft Visual Basic .NET 2003
  • Microsoft Visual Basic .NET
  • Microsoft Visual Basic 6.0
  • Microsoft Visual C++ 2008
  • Microsoft Visual C++ .NET 2003
  • Microsoft Visual C# 2008
  • Microsoft Visual C# 2005
  • Microsoft Visual C# .NET 2003
  • Microsoft Visual InterDev 6.0
  • Microsoft FrontPage
  • Microsoft Internet Explorer 7.0
  • Microsoft Internet Explorer 6.0
  • Microsoft Internet Explorer 5.5
  • Microsoft Internet Explorer 5.0
  • Microsoft Internet Explorer 4.0
Product Class
  • Business Components
  • User Interface Components
Language
  • English
  • French
  • German
  • Italian
  • Spanish
  • Arabic
  • Chinese Dialect(s)
  • Hebrew
  • Japanese
  • Russian
  • Unicode
  • Double Byte Character Support

Prerequisites

Client-Side System Requirements
Aurigma Image Uploader 7 can run on most modern operating systems and browsers. Your website visitors can work on:

  • Windows XP/Vista/7 (including East Asian editions).
  • MacOS 10.5 or later.
  • Any *NIX system with Java Runtime Environment.

They can use such browsers as:

  • Internet Explorer 6 or later.
  • Firefox 2 or later (as well as any other Mozilla-family browser).
  • Safari (Mac)
  • Google Chrome

Server-Side System Requirements
You can integrate Image Uploader with websites based on any server platform, including (but not limited to):

  • ASP.NET (both Microsoft .NET Framework and Mono are supported)
  • ASP
  • PHP
  • JSP
  • ColdFusion
  • Perl
  • Ruby
  • Python

If you are an ASP.NET and PHP developer, you can use special server-side modules to streamline the development process.

  • ASP.NET control requires Microsoft Visual Studio 2005/2008/2010 and .NET Framework 2.0, 3.x, 4.0.
  • PHP library requires PHP 5/6.